OfonoCallForwarding Class Reference

This class is used to access oFono call forwarding API. More...

`#include <ofonocallforwarding.h>`

Inheritance diagram for OfonoCallForwarding:

## Public Slots

void | requestVoiceUnconditional ()
void | setVoiceUnconditional (const QString &property)
void | requestVoiceBusy ()
void | setVoiceBusy (const QString &property)
void | requestVoiceNoReply ()
void | setVoiceNoReply (const QString &property)
void | requestVoiceNoReplyTimeout ()
void | setVoiceNoReplyTimeout (ushort timeout)
void | requestVoiceNotReachable ()
void | setVoiceNotReachable (const QString &property)
void | requestForwardingFlagOnSim ()
void | disableAll (const QString &type)

## Signals

void | voiceUnconditionalComplete (bool success, const QString &property)
void | voiceBusyComplete (bool success, const QString &property)
void | voiceNoReplyComplete (bool success, const QString &property)
void | voiceNoReplyTimeoutComplete (bool success, ushort timeout)
void | voiceNotReachableComplete (bool success, const QString &property)
void | forwardingFlagOnSimComplete (bool success, bool property)
void | voiceUnconditionalChanged (const QString &property)
void | voiceBusyChanged (const QString &property)
void | voiceNoReplyChanged (const QString &property)
void | voiceNoReplyTimeoutChanged (ushort timeout)
void | voiceNotReachableChanged (const QString &property)
void | forwardingFlagOnSimChanged (bool property)
void | setVoiceUnconditionalFailed ()
void | setVoiceBusyFailed ()
void | setVoiceNoReplyFailed ()
void | setVoiceNoReplyTimeoutFailed ()
void | setVoiceNotReachableFailed ()
void | disableAllComplete (bool success)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoCallForwarding (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class is used to access oFono call forwarding API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/call-forwarding-api.txt

The documentation for this class was generated from the following file:

- lib/ofonocallforwarding.h